# Root Subdomain Label

Matches records whose subdomain_root equals www.

Source: https://docs.deepinfo.com/reference/discovery/domain-search/examples/subdomain-root/

Last updated: 2026-09-26

---
`POST https://api.deepinfo.com/v1/discovery/domain-search?page_size=25`

Example 8 of 9 in **Filters › Subdomain** · [Domain Search Examples](/reference/discovery/domain-search/examples/) · endpoint: [Domain Search](/reference/discovery/domain-search/)

Tags: `field` `subdomain_root` · `operator` `eq`

Matches records whose `subdomain_root` equals `www`.

For a one-label subdomain such as `www.acme.example`, `subdomain`, `subdomain_last` and `subdomain_root` are all `www`; they differ on deeper subdomains.

In the response, look at `results[].subdomain_root.punycode`.

## Request

| Parameter | In | Value |
|---|---|---|
| `page_size` | query | `25` |
| `filters.must[0].name` | body | `subdomain_root` |
| `filters.must[0].type` | body | `eq` |
| `filters.must[0].value` | body | `www` |

```bash
curl -X POST 'https://api.deepinfo.com/v1/discovery/domain-search?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "filters": {
    "must": [
      {
        "name": "subdomain_root",
        "type": "eq",
        "value": "www"
      }
    ]
  }
}'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 1000` · `ratelimit-remaining: 999` · `ratelimit-reset: 1` · `x-ratelimit-limit-hour: 100000` · `x-ratelimit-limit-minute: 10000` · `x-ratelimit-limit-second: 1000` · `x-ratelimit-remaining-hour: 99972` · `x-ratelimit-remaining-minute: 9999` · `x-ratelimit-remaining-second: 999` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 273281981,
  "results": [
    {
      "punycode": "www.termo-opt1.ru",
      "unicode": "www.termo-opt1.ru",
      "is_idn": false,
      "subdomain": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "www.termo-opt1",
        "unicode": "www.termo-opt1",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": true,
        "length": 13,
        "lang": "pt",
        "keywords": [
          "www",
          "termo",
          "opt"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "termo-opt1.ru",
        "unicode": "termo-opt1.ru",
        "is_idn": false,
        "name": {
          "punycode": "termo-opt1",
          "unicode": "termo-opt1",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": true,
          "contains_hyphen": true,
          "length": 10,
          "lang": "pt",
          "keywords": [
            "termo",
            "opt"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "ru",
          "unicode": "ru",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "ru",
          "unicode": "ru",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-06-03T06:48:53Z",
          "update_date": "2026-06-12T17:38:01Z",
          "expiry_date": "2027-06-03T06:48:53Z",
          "registrar": "regru-ru",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "ns1.hosting.reg.ru",
            "ns2.hosting.reg.ru"
          ],
          "domain_status": [
            "delegated",
            "registered",
            "unverified"
          ],
          "whois_server": null,
          "check_date": "2026-06-12T17:40:31Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-06-12T17:40:31Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2026-06-12T17:41:46Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-08-28T03:29:21Z",
            "ip_addresses": [
              "31.31.197.28"
            ]
          }
        },
        "dns_last_change_date": "2026-08-12T09:46:03Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-08-02T23:40:44Z",
            "end_date": "2026-10-31T23:40:43Z"
          },
          "serial_number": "584573614752101968046377775888158878594722",
          "check_date": "2026-09-02T10:29:09Z"
        },
        "ssl_last_change_date": "2026-08-29T21:55:52Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-07-30T14:21:04Z",
          "ip_addresses": [
            "31.31.197.28"
          ]
        },
        "aaaa": {
          "update_date": "2026-07-30T14:21:04Z",
          "ip_addresses": [
            "2a00:f940:2:2:1:1:0:286"
          ]
        },
        "ns": {
          "update_date": "2026-07-30T14:21:04Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-07-30T14:21:04Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-07-30T14:21:04Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-07-30T14:21:04Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-07-30T14:21:04Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-06-12T17:31:17Z",
      "ip_history": [
        "31.31.197.28"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "termo-opt1.ru",
          "www.termo-opt1.ru"
        ],
        "version": 3,
        "serial_number": "584573614752101968046377775888158878594722",
        "fingerprint": {
          "sha256": "485fe791b4d92f9dca6f60c05cf9a5a1db707c150e041bf657955f461f3c4d13",
          "sha1": "4459f865fe9b9ccd117dbc070aa0bebae2b2bab0",
          "md5": "642a3aab623623c2ac7ef7e57cac6093"
        },
        "validity": {
          "start_date": "2026-08-02T23:40:44Z",
          "end_date": "2026-10-31T23:40:43Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "JS6Vgcf0xq+hIT8hlvQprOAYG8oJC3jNMzHSokRQG6RxmJ31AzW0ZzEgErafNfhjXnHzfXYmR7zi40FVpRdTdLVbmZ2eUVkr0U7EKnCarpsDk3MFtzryoCvff/QfWT9JhQKmKC4YQ3KAxRJWQB6ycNX/npvu+VJyyevrBz2sXRElm1uWi4BfGgh+d/kDKcyDLlmZ/iuZ5skElB3RdbJnkRq8B12lQphiQ00I79DHr2ifCc6ADrAGoqSHZKHsPcrGO0xB5986ngqquE55aVZELVYnE9wnta3XBlaxbomnmYfzw0iiq1J944O/0sQrHBuvsNe40flpZtkD42HSJngGCA==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=YR2,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "YR2",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=termo-opt1.ru",
        "subject": {
          "common_name": "termo-opt1.ru",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "QBUtJnntMiCe35pyHdYyH4EMgQw=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-08-03T00:39:15Z",
            "2026-08-03T00:39:14Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "termo-opt1.ru",
              "www.termo-opt1.ru"
            ]
          },
          "subject_key_id": "Cy9EkHPonJ4mFifmTqq2BP/UqD4="
        },
        "check_date": "2026-09-02T10:29:09Z"
      },
      "ssl_last_change_date": "2026-09-02T10:29:54Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "9ba54f3136eaebeb966de3aa5c12c506bbe6ded9823cdeb3a390d438527cbeeb"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://www.termo-opt1.ru/",
              "status_code": 301
            },
            {
              "url": "https://www.termo-opt1.ru/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://www.termo-opt1.ru/",
          "final_fqdn": "www.termo-opt1.ru",
          "final_domain": "termo-opt1.ru",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Fri, 12 Jun 2026 17:31:30 GMT"
              },
              {
                "name": "content_length",
                "value": "6477"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "etag",
                "value": "\"5eac-6535651761b8c-gzip\""
              },
              {
                "name": "accept_ranges",
                "value": "bytes"
              },
              {
                "name": "expires",
                "value": "Fri, 12 Jun 2026 18:31:30 GMT"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "permissions_policy",
                "value": "geolocation=(), microphone=(), camera=()"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "max-age=3600",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Wed, 03 Jun 2026 09:47:39 GMT",
            "permission_policy": null,
            "referrer_policy": "strict-origin-when-cross-origin",
            "server": "nginx",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": "SAMEORIGIN",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "www.paradis-architecture.com",
      "unicode": "www.paradis-architecture.com",
      "is_idn": false,
      "subdomain": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "www.paradis-architecture",
        "unicode": "www.paradis-architecture",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 23,
        "lang": "en",
        "keywords": [
          "www",
          "paradis",
          "architecture"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "paradis-architecture.com",
        "unicode": "paradis-architecture.com",
        "is_idn": false,
        "name": {
          "punycode": "paradis-architecture",
          "unicode": "paradis-architecture",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 20,
          "lang": "en",
          "keywords": [
            "paradis",
            "architecture"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2025-05-22T15:28:48Z",
          "update_date": "2025-05-22T15:28:48Z",
          "expiry_date": "2028-05-22T15:28:48Z",
          "registrar": "squarespace domains llc",
          "registrant": {
            "name": "redacted for privacy",
            "organization": null,
            "street": "redacted for privacy",
            "city": "redacted for privacy",
            "state": "ct",
            "postal_code": "redacted for privacy",
            "country": "us",
            "phone": "redacted for privacy",
            "email": "REDACTED FOR PRIVACY"
          },
          "name_servers": [
            "ns-cloud-c1.googledomains.com",
            "ns-cloud-c2.googledomains.com",
            "ns-cloud-c3.googledomains.com",
            "ns-cloud-c4.googledomains.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clienttransferprohibited"
          ],
          "whois_server": "whois.squarespace.domains",
          "check_date": "2026-07-21T22:15:03Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": null,
            "phone": null,
            "email": null,
            "email_fqdn_apex": null,
            "email_domain_apex": null
          }
        },
        "whois_last_check_date": "2026-07-21T22:15:03Z",
        "whois_create_date_historical": null,
        "whois_last_change_date": "2025-05-22T16:05:51Z",
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-08-15T16:52:37Z",
            "ip_addresses": [
              "198.49.23.145"
            ]
          }
        },
        "dns_last_change_date": "2025-05-22T22:59:45Z",
        "ip_history": null,
        "ssl": {
          "validity": {
            "start_date": "2026-07-16T10:05:55Z",
            "end_date": "2026-10-14T10:05:54Z"
          },
          "serial_number": "460193745482931871535740050952220690762254",
          "check_date": "2026-08-13T19:01:52Z"
        },
        "ssl_last_change_date": "2026-08-13T19:04:05Z"
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-08-31T09:43:11Z",
          "ip_addresses": [
            "198.49.23.144",
            "198.49.23.145",
            "198.185.159.144",
            "198.185.159.145"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-31T09:43:11Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-08-31T09:43:11Z",
          "name_servers": []
        },
        "mx": {
          "update_date": "2026-08-31T09:43:11Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-08-31T09:43:11Z",
          "mnames": [],
          "rnames": [],
          "rname_emails": []
        },
        "txt": {
          "update_date": "2026-08-31T09:43:11Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-08-31T09:43:11Z",
          "values": [
            "ext-sq.squarespace.com."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-02T09:59:26Z",
      "ip_history": [
        "198.185.159.144",
        "198.185.159.145",
        "198.49.23.144",
        "198.49.23.145"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "www.paradis-architecture.com"
        ],
        "version": 3,
        "serial_number": "474575447807547646003368751044606072281844",
        "fingerprint": {
          "sha256": "a05a7ed959d4d361f79c88cffe7eafb1424351d8f05a7a80a56f6433c8fc50a2",
          "sha1": "56f524acc090cdfc23418257ed891215682ede9c",
          "md5": "d9075fde11800bb90a35050290ab1f06"
        },
        "validity": {
          "start_date": "2026-07-16T09:53:59Z",
          "end_date": "2026-10-14T09:53:58Z",
          "length": 7775999
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "jILGIdI4YvDUOJTpMG6IA96Q+G1o2a8KNYsNBEgRN5tqY6d97NBeHtVsx+EJdbjQGi6LF7W4UgAhOd0nC0+4PxZ6COtptQm26r3Wnna1yU3KIHsczn1hiuVVRUS+V+mH2E4ePS8/Vz62jL0O5WsnEki1ts3+4vk51JUTx0PNjL3m8QMlEguA0GJNYn+NcgjI+JEU1+WH9XxdazRNskINlqBCoDafvrFYkUMb8k3O2ndbpA8P+92yNZ0TuCdFxUmhxjGGfKQygjdUrAHCq21+jhW2PUTcQFmULYVSmBqtcutKHcJhx4iAk3mIn3noA6TIwOSGWLbpMiUHoEfcJp8l7Q==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=YR1,O=Let's Encrypt,C=US",
        "issuer": {
          "common_name": "YR1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Let's Encrypt",
          "organizational_unit": null
        },
        "subject_dn": "CN=www.paradis-architecture.com",
        "subject": {
          "common_name": "www.paradis-architecture.com",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "Hy81vkYUgs1Asa55LFV4+vfUaPs=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-07-16T10:52:30Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "www.paradis-architecture.com"
            ]
          },
          "subject_key_id": "1rBlH6Q/nkuRtPt055ac0Bv4cuU="
        },
        "check_date": "2026-08-16T13:20:18Z"
      },
      "ssl_last_change_date": "2026-08-16T13:20:31Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "5c45d22848c0bd235aa70e4b80c6b280e6ca1b996fd7bb47d758f43efaff4c5e"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://www.paradis-architecture.com/",
              "status_code": 301
            },
            {
              "url": "https://www.paradis-architecture.com/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://www.paradis-architecture.com/",
          "final_fqdn": "www.paradis-architecture.com",
          "final_domain": "paradis-architecture.com",
          "headers": {
            "others": [
              {
                "name": "accept_ranges",
                "value": "bytes"
              },
              {
                "name": "age",
                "value": "138183"
              },
              {
                "name": "content_length",
                "value": "30776"
              },
              {
                "name": "date",
                "value": "Thu, 12 Mar 2026 20:31:52 GMT"
              },
              {
                "name": "etag",
                "value": "W/\"a337eea45e6918a4ec7457d47cefb8ef--gzip\""
              },
              {
                "name": "expires",
                "value": "Thu, 01 Jan 1970 00:00:00 GMT"
              },
              {
                "name": "vary",
                "value": "Accept-Encoding"
              },
              {
                "name": "x_contextid",
                "value": "AW4KKzDL/Rn2kNnpk"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html;charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": "Squarespace",
            "set_cookie": null,
            "strict_transport_security": "max-age=15552000",
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": "SAMEORIGIN",
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "www.pingukids.ir",
      "unicode": "www.pingukids.ir",
      "is_idn": false,
      "subdomain": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_last": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "subdomain_root": {
        "punycode": "www",
        "unicode": "www",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 3
      },
      "name": {
        "punycode": "www.pingukids",
        "unicode": "www.pingukids",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 12,
        "lang": "en",
        "keywords": [
          "www",
          "pingu",
          "kids"
        ],
        "keyword_count": 3,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "pingukids.ir",
        "unicode": "pingukids.ir",
        "is_idn": false,
        "name": {
          "punycode": "pingukids",
          "unicode": "pingukids",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 9,
          "lang": "en",
          "keywords": [
            "pingu",
            "kids"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "ir",
          "unicode": "ir",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "ir",
          "unicode": "ir",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": null,
        "whois": null,
        "whois_normalized": null,
        "whois_last_check_date": null,
        "whois_create_date_historical": null,
        "whois_last_change_date": null,
        "whois_registrant_email_historical": null,
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-08-25T17:02:58Z",
            "ip_addresses": [
              "89.39.208.89"
            ]
          }
        },
        "dns_last_change_date": "2026-07-09T01:41:48Z",
        "ip_history": null,
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 2,
      "subdomain_level_count": 1,
      "dns": {
        "a": {
          "update_date": "2026-08-31T14:50:17Z",
          "ip_addresses": [
            "89.39.208.89"
          ]
        },
        "aaaa": {
          "update_date": "2026-08-31T14:50:17Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-08-31T14:50:17Z",
          "name_servers": [
            "ns725.mihanwebhost.com",
            "ns726.mihanwebhost.com"
          ]
        },
        "mx": {
          "update_date": "2026-08-31T14:50:17Z",
          "mail_servers": [
            "mail.pingukids.ir"
          ]
        },
        "soa": {
          "update_date": "2026-08-31T14:50:17Z",
          "mnames": [
            "ns725.mihanwebhost.com"
          ],
          "rnames": [
            "user.gmail.com"
          ],
          "rname_emails": [
            "user@gmail.com"
          ]
        },
        "txt": {
          "update_date": "2026-08-31T14:50:17Z",
          "values": [
            "\"v=spf1 +a +mx +ip4:89.39.208.89 +ip4:217.144.104.185 ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-08-31T14:50:17Z",
          "values": [
            "pingukids.ir."
          ]
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-02T09:41:02Z",
      "ip_history": [
        "89.39.208.89"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "timeout",
        "html": null,
        "http": null
      }
    }
  ]
}
```

## Related Examples

- [Last Subdomain Label](/reference/discovery/domain-search/examples/subdomain-last/)
- [Subdomains Containing a Hyphen](/reference/discovery/domain-search/examples/subdomain-contains-hyphen/)
- [Subdomains Containing Digits](/reference/discovery/domain-search/examples/subdomain-contains-number/)
- [Subdomains Containing Letters](/reference/discovery/domain-search/examples/subdomain-contains-letter/)
- [Internationalized Subdomains](/reference/discovery/domain-search/examples/subdomain-is-idn/)
- [One Subdomain Across Domains](/reference/discovery/domain-search/examples/subdomain/)
